Story # 1713 (Closed): Updates to DataONE Types for 0.6.4 tag

Add synchronization tracking properties to the Node structure

2011-08-24 20:47 - Dave Vieglais

Status: Rejected Start date: 2011-08-24

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.34-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

Adding these two elements to the Node structure will help support the process of synchronization of member nodes.

DateTime  nodeSynchronizationScheduled, can be NULL, default = NULL

A time stamp indicated when the Member Node is scheduled for a synchronization operation.

A NULL value indicates the node has not been scheduled by any coordinating node.

nodeId synchronizingNode, can be NULL, default = NULL

A node identifier indicating which CN is scheduled to perform the next synchronization operation.

Other possibilities:

long nodeSynchronizationDuration, default = 0

A long integer that indicates in seconds how long the previous synchronization process ran.

long objectsProcessed, default = 0

A long integer indicating the number of objects that were processed in the last synchronization operation. Only reflects objects that

were processed (new, changed, etc).

The combination of these can be used to roughly estimate the time that will be required to perform a new synchronization operation.

History

#1 - 2011-08-25 18:09 - Dave Vieglais

- Status changed from New to Rejected

This information is not required at this time. Synchronization operations will be fired off by quartz.

#2 - 2011-08-25 19:21 - Matthew Jones

- % Done changed from 0 to 100

Powered by TCPDF (www.tcpdf.org)

2024-05-11 1/1

http://www.tcpdf.org

